<?xml version="1.0" encoding="UTF-8"?>

<!-- IGAC proyecto SNC -->

<!-- @author jamir.avila -->
<!-- @descripcion Registrar Información de Diagnóstico del Municipio -->
<!-- @modified jamir.avila Se actualiza para la migracion de PrimeFaces 3.2 
     @version 2.0 -->

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns:f="http://java.sun.com/jsf/core"
                xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:p="http://primefaces.org/ui"
                xmlns:actualizacion="http://java.sun.com/jsf/composite/actualizacion"
                template="/templates/generalCU.xhtml">

    <!-- CASO DE USO CU-NP-FA-001 -->

    <ui:define name="content">

        <p:ajaxStatus onstart="statusDialog.show();"
                      onsuccess="statusDialog.hide();" />

        <actualizacion:actualizacionResumenCC id="actualizacionResumen"
                                              actualizacionParam="#{registrarInformacion.actualizacion}"
                                              muestraNumeroConvenioParam="false" />

        <h:form id="registrarInfoDiagMunForm" >

            <p:dialog id="dlgInformacionCartograficaAP"
                      widgetVar="dlgInformacionCartografica" width="600" height="300"
                      header="Información cartográfica">

                <p:dataTable id="tblCartografiasDisponiblesAP"
                             var="cartografiaDisponible"
                             value="#{registrarInformacion.cartografiasDisponiblesLazyModel}"
                             selection="#{registrarInformacion.nuevasCartografiasSeleccionadas}"
                             paginatorPosition="bottom" paginator="true" rows="5" 
                             paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                             rowsPerPageTemplate="5,10,20" rowKey="#{cartografiaDisponible.dominio.id}"
                             emptyMessage="No hay datos para esta tabla">
                    <p:column selectionMode="multiple" />
                    <p:column>
                        <f:facet name="header">Información asociada</f:facet>
                        <h:outputText value="#{cartografiaDisponible.informacionAsociada}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Descripción</f:facet>
                        <h:outputText value="#{cartografiaDisponible.descripcion}" />
                    </p:column>
                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton value="Vincular"
                                     id="vincularDlgInformacionCartograficaAP"
                                     actionListener="#{registrarInformacion.cmdVincularCartografias}"
                                     onclick="dlgInformacionCartografica.hide()"
                                     update="tablaCartografiasAP,:registrarInfoDiagMunForm:tblCartografiasDisponiblesAP" />
                    <p:commandButton type="button" value="Cancelar"
                                     onclick="dlgInformacionCartografica.hide()" />
                </h:panelGrid>
            </p:dialog>

            <p:dialog id="dlgInformacionAgrologicaAP"
                      widgetVar="dlgInformacionAgrologica" width="600" height="300"
                      header="Información agrológica">

                <p:dataTable id="tblAgrologiasDisponiblesAP"
                             var="agrologiaDisponible"
                             value="#{registrarInformacion.agrologiasDisponiblesLazyModel}"
                             selection="#{registrarInformacion.nuevasAgrologiasSeleccionadas}"
                             paginatorPosition="bottom" paginator="true" rows="5" 
                             paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                             rowsPerPageTemplate="5,10,20" rowKey="#{agrologiaDisponible.dominio.id}"
                             emptyMessage="No hay datos para esta tabla">
                    <p:column selectionMode="multiple" />
                    <p:column>
                        <f:facet name="header">Información asociada</f:facet>
                        <h:outputText value="#{agrologiaDisponible.informacionAsociada}" />
                    </p:column>

                    <p:column>
                        <f:facet name="header">Descripción</f:facet>
                        <h:outputText value="#{agrologiaDisponible.descripcion}" />
                    </p:column>
                </p:dataTable>

                <h:panelGrid columns="2">
                    <p:commandButton value="Vincular"
                                     id="vincularDlgInformacionAgrologicaAP"
                                     actionListener="#{registrarInformacion.cmdVincularAgrologias}"
                                     onclick="dlgInformacionAgrologica.hide()"
                                     update="tablaAgrologiasAP,:registrarInfoDiagMunForm:tblAgrologiasDisponiblesAP" />
                    <p:commandButton type="button" value="Cancelar"
                                     onclick="dlgInformacionAgrologica.hide()" />
                </h:panelGrid>
            </p:dialog>

            <p:panel id="panelAP"
                     header="Registrar información de diagnóstico del municipio">
                <p:fieldset legend="Registrar diagnóstico del municipio"
                            toggleable="false">

                    <p:messages id="msgsAT" showDetail="false" globalOnly="false" />

                    <h:panelGrid columns="2">
                        <h:outputLabel value="Departamento:" styleClass="outputLabelStyle" />
                        <h:outputLabel value="#{registrarInformacion.departamentoNombre}"
                                       styleClass="outputLabelStyle" />

                        <h:outputLabel value="Municipio:" styleClass="outputLabelStyle" />
                        <h:outputLabel value="#{registrarInformacion.municipioNombre}"
                                       styleClass="outputLabelStyle" />
                    </h:panelGrid>

                    <p:panel header="Documentación básica cartográfica">
                        <p:dataTable id="tablaCartografiasAP" var="cartografia"
                                     value="#{registrarInformacion.cartografiasLazyModel}"
                                     selection="#{registrarInformacion.cartografiaSeleccionada}"
                                     paginatorPosition="bottom" paginator="true" rows="5" 
                                     paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                     rowsPerPageTemplate="5,10,20"
                                     emptyMessage="No hay datos para esta tabla"
                                     selectionMode="single">
                            <p:column headerText="Opciones">
                                <p:commandButton icon="ui-icon-trash" id="borrarCartografiaAP"
                                                 immediate="true" title="Eliminar"
                                                 update="tablaCartografiasAP,:registrarInfoDiagMunForm:tblCartografiasDisponiblesAP"
                                                 action="#{registrarInformacion.cmdBorrarCartografia}">
                                    <f:setPropertyActionListener
                                        target="#{registrarInformacion.cartografiaSeleccionada}"
                                        value="#{cartografia}">
                                    </f:setPropertyActionListener>
                                </p:commandButton>
                            </p:column>

                            <p:column>
                                <f:facet name="header">Información asociada</f:facet>
                                <h:outputText value="#{cartografia.informacionAsociada}" 
                                              styleClass="outputTextStyle"/>
                            </p:column>

                            <p:column>
                                <f:facet name="header">Descripción</f:facet>
                                <h:outputText value="#{cartografia.descripcion}" 
                                              styleClass="outputTextStyle"/>
                            </p:column>
                        </p:dataTable>
                        <h:panelGrid columns="2">
                            <p:commandButton type="button" icon="ui-icon ui-icon-plus"
                                             value="Cargar información cartográfica"
                                             onclick="dlgInformacionCartografica.show()" />
                        </h:panelGrid>
                    </p:panel>

                    <p:panel header="Documentación básica agrológica">
                        <p:dataTable id="tablaAgrologiasAP" var="agrologia"
                                     value="#{registrarInformacion.agrologiasLazyModel}"
                                     selection="#{registrarInformacion.agrologiaSeleccionada}"
                                     paginatorPosition="bottom" paginator="true" rows="5" 
                                     paginatorTemplate="{CurrentPageReport} {FirstPageLink} {PreviousPageLink} {PageLinks} {NextPageLink} {LastPageLink} {RowsPerPageDropdown}"
                                     rowsPerPageTemplate="5,10,20"
                                     emptyMessage="No hay datos para esta tabla"
                                     selectionMode="single">
                            <p:column headerText="Opciones">
                                <p:commandButton icon="ui-icon-trash" id="borrarAgrologiaAP"
                                                 immediate="true" title="Eliminar"
                                                 update="tablaAgrologiasAP,:registrarInfoDiagMunForm:tblAgrologiasDisponiblesAP"
                                                 action="#{registrarInformacion.cmdBorrarAgrologia}">
                                    <f:setPropertyActionListener
                                        target="#{registrarInformacion.agrologiaSeleccionada}"
                                        value="#{agrologia}">
                                    </f:setPropertyActionListener>
                                </p:commandButton>
                            </p:column>

                            <p:column>
                                <f:facet name="header">Información asociada</f:facet>
                                <h:outputText value="#{agrologia.informacionAsociada}" 
                                              styleClass="outputTextStyle"/>
                            </p:column>

                            <p:column>
                                <f:facet name="header">Descripción</f:facet>
                                <h:outputText value="#{agrologia.descripcion}" 
                                              styleClass="outputTextStyle"/>
                            </p:column>
                        </p:dataTable>
                        <h:panelGrid columns="2">
                            <p:commandButton type="button"
                                             value="Cargar información agrológica" icon="ui-icon ui-icon-plus"
                                             onclick="dlgInformacionAgrologica.show()" />
                        </h:panelGrid>
                    </p:panel>
                </p:fieldset>
                <h:panelGrid columns="2">
                    <p:commandButton value="Registrar" id="aceptarAP" icon="ui-icon ui-icon-check"
                                     action="#{registrarInformacion.cmdAceptar}" ajax="false" />					
                </h:panelGrid>
            </p:panel>
            <p:separator style="width:925px;height:3px" />
            <p:spacer height="7" width="0" />
            <p:outputPanel layout="block" style="text-align:right">
                <p:commandButton value="Cerrar"
                                 icon="ui-icon-circle-close" action="#{registrarInformacion.cmdCancelar}"
                                 ajax="false" onstart="statusDialog2.show();"
                                 oncomplete="statusDialog2.hide();" />
                <p:spacer height="0" width="30" />
            </p:outputPanel>
            <p:spacer height="20" width="0" />
        </h:form>
    </ui:define>
</ui:composition>
